
body{
    background-color:  #F4F7FE;;
}
.nav{
    background-color: #1E293B;
    height: 60px;
    width: auto;
    padding: 8px;
    display: flex;
    justify-content: flex-end;
}
.nav a{
    color:#f5f5f5;
    padding: 20px 30px;
    text-decoration: none;
    border: 1px solid white;
    margin-right: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    border-radius: 20px;
    font-weight: bold;
    cursor: pointer;
}
nav a:hover {
    background-color: white;
    transform: scale(1.05);
    box-shadow: 0 4px 12px rgba(0,0,0,0.3);

}
#Home {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 80px 10%;
  gap: 50px;
  flex-wrap: wrap;
}
.Home-left{
  flex:1;
  /* max-width:550px;    ADD THIS */
    position:relative;
}

.Home-right{
  flex:1;
  display:flex;
  justify-content:center;
}

/*.photo img {
  /*width: 350px;        /* increase width
  height: 50vh;
  max-width: 100%;
  display: block;
  border-radius: 50%;
   margin: 20px auto;
     flex:1 1 400px;

}*/
.photo img {
  width: 400px;          /* make it wide */
  height: 350px;         /* smaller height */
  object-fit: cover;     /* keeps image clean */
  border-radius: 50%;    /* makes ellipse */
  display: block;
  margin: auto;
}
/*#Home {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 40px;
}*/

/*#Home .photo {
  height: 80vh; 
  display: flex;
  flex-direction: column;
  /*justify-content: center;   vertical center 
  align-items: center;       horizontal center 
  text-align: center;
  margin-left: 780px;
  margin-top: -500px;;
}
#Home .photo img {
  width: 600px;
  border-radius: 50%;
  margin-top: 185px;
}*/
.Home-text {
    max-width: 600px;
    width:55%;
      flex:1 1 400px;
}

#Home h1 {
    font-size: 45px;
    margin-top: 60px;
    font-weight: 700;
    color: #222;
    font-family: 'Poppins', sans-serif;
    /*margin-left: 80px;*/
}
#Home h3{
    font-size: 28px;
    margin-top: 20px;
    font-weight: 500;
    color:  #1E293B;
    font-family: 'Poppins', sans-serif;
    /*margin-left: 180px;*/
      flex:1 1 400px;

}

.Home-text span {
    color: #0077ff;
      flex:1 1 400px;

}

.about p{
  font-size:18px;
  line-height:1.7;
}
.about{
  font-size:18px;
  font-weight:500;
  line-height:1.7;
  color:#222;
  margin-top:30px;
  margin-bottom:40px;

  width:100%;
  max-width:550px;
  height:auto;
}
.about::first-letter {
    font-size: 26px;
    font-weight: bold;
}
.Home-buttons {
    display: flex;
    gap: 15px;
   /* margin-left: 180px;*/
}

.Home-buttons .btn {
    padding: 10px 20px;
    background-color: #0077ff;
    text-decoration: none;
    border-radius: 25px;
    transition: 0.3s ease;
    color: white;   
}

.btn:hover {
    background-color: #0088cc;
}

.btn-outline {
    background: transparent;
    border: 2px solid #0077ff;
    color: #0077ff;
}

.btn-outline:hover {
    background-color: #0077ff;
    color: white;
}

.Home-image img {
    width: 350px;
    border-radius: 50%;
    box-shadow: 0 10px 30px rgba(0,0,0,0.2);
}

.sidebar {
  position: fixed;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding: 10px;
}

.sidebar a {
  color: #1E293B;
  font-size: 24px;
  transition: 0.3s;
}

.sidebar a:hover {
  color: #0077b5; 
  transform: scale(1.7);
}
.academic-container {
  display: grid;
  grid-template-columns: 3fr 2fr;
  align-items: center;
  gap: 50px;
  padding: 60px 80px;
  background: linear-gradient(to right, #e0f7fa, #ffffff);
  border-radius: 25px;
  margin: 50px auto;
  max-width: 2000px;
}

.academic-image img {
  width: 100%;
  max-width: 600px;
  border-radius: 20px;
  transition: transform 0.4s ease, box-shadow 0.4s ease;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
  width: 100%;
  
}
.academic-image img:hover {
  transform: scale(1.05);
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.25);
}
.academic-content {
  font-family: sans-serif;
  font-size: 18px;
  color: #333;
  padding: 20px;
  border-radius: 20px;
  /*height: 280px;
  /*width: 800px;
  /*margin-left: 120px;*/
  box-shadow: 0 20px 20px rgba(0, 0, 0, 0.1);
  max-width: 600px;
  width: 100%;
  display: grid;
  gap: 40px;   /* ← ADD THIS */
}

.academic-content h2 {
  font-size: 28px;
  margin-bottom: 15px;
  color: #0077b5;
}
.project-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  padding: 20px;
}
.project-card {
  background: #ffffff;
  border-radius: 15px;
  box-shadow: 0 5px 15px rgba(0,0,0,0.2);
  width: 300px;
  padding: 20px;
  text-align: center;
}
.project-card img {
  width: 100%;
  border-radius: 10px;
  margin-bottom: 15px;
}
.project-card h3 {
  margin: 10px 0;
}
.project-card p {
  color: black;
}
.certificate-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  padding: 20px;
}
.certificate-card {
  background:  #ffffff;
  border-radius: 15px;
  box-shadow: 0 5px 15px rgba(0,0,0,0.2);
  width: 300px;
  padding: 20px;
  text-align: center;
}
.certificate-card h3 {
  margin: 10px 0;
}
.certificate-card img{
  width: 100%;
  border-radius: 10px;
}
.course, .hackathon {
    margin-top: 40px;
}

.course h2,
.hackathon h2 {
    margin-bottom: 20px;
}

.course .certificate-card,
.hackathon .certificate-card {
    width: 250px;
}

.course,
.hackathon {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;  /* Centers cards */
    gap: 20px;                /* Space between cards */
}
*{ 
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
#Academic h1,#Certificate h1,#Project h1,#Contact h1 {
    font-size: 36px;
    margin-top: 60px;
    font-weight: 700;
    color:  #1E293B;
    font-family: 'Poppins', sans-serif;
    margin-left: 80px;
}
.zoom-img {
  cursor: pointer;
  transition: 0.3s;
}

.zoom-img:hover {
  transform: scale(1.05);
}

.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.8);
}

.modal-content {
  display: block;
  margin: 60px auto;
  max-width: 80%;
  max-height: 80%;
  border-radius: 15px;
}

.close {
  position: absolute;
  top: 20px;
  right: 40px;
  color: white;
  font-size: 40px;
  cursor: pointer;
}
.github-btn {
  display: inline-block;
  margin-top: 10px;
  padding: 8px 15px;
  background-color: #24292e; /* GitHub dark color */
  color: white;
  text-decoration: none;
  border-radius: 8px;
  transition: 0.3s;
  font-size: 14px;
}

.github-btn:hover {
  background-color: #000;
  transform: scale(1.05);
}
#Contact .contact-container {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 50px;
  margin-top: 30px;
  flex-wrap: wrap;
}

#Contact .contact-info {
  background: white;
  padding: 45px;
  border-radius: 15px;
  box-shadow: 0 10px 25px rgba(0,0,0,0.08);
  margin-left: 30px;
  width: 300px;
    line-height: 1.8;
    font-family: sans-serif;
    font-size: medium;
}

#Contact .contact-form form {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 350px;
}

#Contact .contact-form input,
#Contact .contact-form textarea {
  padding: 10px;
  border-radius: 8px;
  border: 1px solid #ccc;
  font-size: 16px;
}

#Contact .contact-form button {
  background-color: #007bff;
  color: white;
  padding: 10px;
  border-radius: 8px;
  border: none;
  cursor: pointer;
  transition: 0.3s;
  height: auto;
  width: 100%;
}

#Contact .contact-form button:hover {
  background-color: #0056b3;
}
#Contact {
  padding: 80px 20px 120px 20px; /* more space at bottom */
}
body {
  margin-bottom: 50px;
}
@media (max-width: 768px) {

  #Home {
    flex-direction: column;
    text-align: center;
    padding: 20px 5%;
  }
  .Home-right{
    margin-top: 30px;
  }
 
  .nav {
    flex-direction: column;
    align-items: center;
    height: auto;
  }

  .about {
    width: 100%;
  }

  .photo {
    width: 100%;
    margin-top: 20px;
  }

  .Home-buttons {
    display: flex;
    flex-direction: column;
    gap: 15px;
    align-items: center;
  }
  .project-container {
    flex-direction: column;
    align-items: center;
  }

  .contact-container {
    flex-direction: column;
    align-items: center;
    gap: 40px;
  }

  .academic-container {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .project-card,
  .certificate-card {
    width: 90%;
  }
  /*#Academic {
  padding: 20px;
  text-align: center;
}*/

#Academic img {
  max-width: 100%;
  height: auto;
  margin: 20px auto;
  display: block;
  border-radius: 15px;
}
.academic-content,.focus {
  padding: 15px;
  border-radius: 20px;
  background: #ffffff;
  box-shadow: 0 20px 20px rgba(0, 0, 0, 0.1);
  max-width: 600px;
  width: 100%;
  margin: 20px auto;
}
.academic-container
.academic-card {
  width: 100%;
  max-width: 350px;
  margin: 20px auto;
  padding: 10px;
  border-radius: 15px;
}
.sidebar {
  position: static !important;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin: 15px 0;
}

}
img {
  max-width: 100%;
  height: auto;
}
